Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyClassDoc

Field Summary
`List` | `constructors`
`List` | `fields`
`String` | `fullPathName`
`List` | `importedClassesAndPackages`
`List` | `methods`
`GroovyClassDoc` | `superClass`
`String` | `superClassName`

Constructor Summary
`SimpleGroovyClassDoc(List importedClassesAndPackages, String name, List links)`
`SimpleGroovyClassDoc(List importedClassesAndPackages, String name)`

Method Summary
`boolean` | `add(GroovyConstructorDoc constructor)`
`boolean` | `add(GroovyFieldDoc field)`
`boolean` | `add(GroovyMethodDoc method)`
`GroovyClassDoc` | `asClassDoc()`
`def` | `constructors()` returns a sorted array of constructors
`def` | `constructors(boolean filter)`
`boolean` | `definesSerializableFields()`
`String` | `dimension()`
`def` | `enumConstants()`
`def` | `fields()` returns a sorted array of fields
`def` | `fields(boolean filter)`
`GroovyClassDoc` | `findClass(String className)`
`String` | `fullDottedName()`
`String` | `getFullPathName()`
`String` | `getRelativeRootPath()`
`def` | `importedClasses()`
`def` | `importedPackages()`
`def` | `innerClasses()`
`def` | `innerClasses(boolean filter)`
`def` | `interfaceTypes()`
`def` | `interfaces()`
`boolean` | `isAbstract()`
`boolean` | `isExternalizable()`
`boolean` | `isPrimitive()`
`boolean` | `isSerializable()`
`def` | `methods()` returns a sorted array of methods
`def` | `methods(boolean filter)`
`String` | `qualifiedTypeName()`
`void` | `resolve(GroovyRootDoc rootDoc)`
`def` | `serializableFields()`
`def` | `serializationMethods()`
`void` | `setFullPathName(String fullPathName)`
`void` | `setSuperClassName(String className)`
`String` | `simpleTypeName()`
`boolean` | `subclassOf(GroovyClassDoc gcd)`
`GroovyClassDoc` | `superclass()`
`GroovyType` | `superclassType()`
`String` | `typeName()`

Constructor Detail

### SimpleGroovyClassDoc

    public SimpleGroovyClassDoc(List importedClassesAndPackages, String name, List links)

### SimpleGroovyClassDoc

    public SimpleGroovyClassDoc(List importedClassesAndPackages, String name)

Method Detail

### add

    public boolean add(GroovyConstructorDoc constructor)

### add

    public boolean add(GroovyFieldDoc field)

### add

    public boolean add(GroovyMethodDoc method)

### asClassDoc

    public GroovyClassDoc asClassDoc()

### constructors

    public def constructors()

  returns a sorted array of constructors

### constructors

    public def constructors(boolean filter)

### definesSerializableFields

    public boolean definesSerializableFields()

### dimension

    public String dimension()

### enumConstants

    public def enumConstants()

### fields

    public def fields()

  returns a sorted array of fields

### fields

    public def fields(boolean filter)

### findClass

    public GroovyClassDoc findClass(String className)

### fullDottedName

    public String fullDottedName()

### getFullPathName

    public String getFullPathName()

### getRelativeRootPath

    public String getRelativeRootPath()

### importedClasses

    public def importedClasses()

### importedPackages

    public def importedPackages()

### innerClasses

    public def innerClasses()

### innerClasses

    public def innerClasses(boolean filter)

### interfaceTypes

    public def interfaceTypes()

### interfaces

    public def interfaces()

### isAbstract

    public boolean isAbstract()

### isExternalizable

    public boolean isExternalizable()

### isPrimitive

    public boolean isPrimitive()

### isSerializable

    public boolean isSerializable()

### methods

    public def methods()

  returns a sorted array of methods

### methods

    public def methods(boolean filter)

### qualifiedTypeName

    public String qualifiedTypeName()

### resolve

    public void resolve(GroovyRootDoc rootDoc)

### serializableFields

    public def serializableFields()

### serializationMethods

    public def serializationMethods()

### setFullPathName

    public void setFullPathName(String fullPathName)

### setSuperClassName

    public void setSuperClassName(String className)

### simpleTypeName

    public String simpleTypeName()

### subclassOf

    public boolean subclassOf(GroovyClassDoc gcd)

### superclass

    public GroovyClassDoc superclass()

### superclassType

    public GroovyType superclassType()

### typeName

    public String typeName()